﻿#language: ru

Функционал: Запуск обработки Комплектация через весы

Сценарий: Подготовка к запуску обработки Комплектация через весы для штрихкода
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Контейнеры'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку 'Создать'
	И Я закрываю окно 'Контейнеры'
	И В командном интерфейсе я выбираю 'Производство' 'Комплектации тар'
	Тогда открылось окно 'Комплектации тар'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Комплектация тары (создание)'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| Наименование        			  |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И я нажимаю кнопку выбора у поля "Тара"
	Тогда открылось окно 'Выбор типа данных'
	И В форме "Выбор типа данных" в таблице "" я перехожу к строке:
		| ''        |
		| Контейнер |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я добавляю новую строку
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   			 |
		| 'milk_prod_Российский 50%' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| Наименование  |
		| На созревании |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| Дата выпуска |  Номер |
		| '01.11.2018' |  2     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '523,000'
	И в таблице "Товары" в поле 'Количество 1' я ввожу текст '65,000'
	И в таблице "Товары" я завершаю редактирование строки
	И в таблице "СоставТары" я перехожу к строке:
		| 'N' | 'Тип тары'   | 'Количество' |
		| '1' | 'Контейнер'  | '1'          |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Комплектация тары (создание) *' в течение 20 секунд
	Тогда открылось окно 'Комплектации тар'
	И Я закрываю окно 'Комплектации тар'

Сценарий: Запуск обработки Комплектация через весы
	Дано Я подключаюсь под "milk_prod_Бригада на комплектации"
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24' |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Маркировка'      |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку "Поштучный выпуск"
	Тогда открылось окно "Поштучный выпуск*"
	И в таблице "ТоварыДляКомплектации" я перехожу к строке:
		| 'Ед. изм.' |  'Номенклатура'       |
		| 'кг'       |  'milk_prod_Российский 50% / Созревший / 01.11.2018/2' |
	И Пауза 1
	И я нажимаю на кнопку с именем "КомандаПриступить"
	И я нажимаю кнопку выбора у поля "Короб"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Короб'        |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно "Поштучный выпуск*"
	И я нажимаю кнопку выбора у поля "ВыбраннаяУпаковка"
	Тогда открылось окно 'Выберите упаковку'
	И в таблице "Список" я перехожу к строке:
		| 'Упаковка'    |
		| 'упак (7 кг)' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно "Поштучный выпуск*"
	И я нажимаю на кнопку 'КомандаУстановитьСсылкуНовогоПаллета'
	И в поле с именем 'ВесВесов' я ввожу текст '2,000'
	И я перехожу к следующему реквизиту
	Тогда открылось окно 'Печать документа'
	И в табличном документе 'ТекущаяПечатнаяФорма' я перехожу к ячейке "R1C1:R1C9"
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно "Поштучный выпуск*"
	И я нажимаю на гиперссылку "milk_prod_Российский 50% / Созревший / 01.11.2018/2"
	И Я закрываю окно 'Поштучный выпуск*'
	И я нажимаю на кнопку "Выпуск в коробах"
	Тогда открылось окно "Выпуск в коробах*"
	И в таблице "ТоварыДляКомплектации" я перехожу к строке:
		| 'Ед. изм.' |  'Номенклатура'       								  |
		| 'кг'       |  'milk_prod_Российский 50% / Созревший / 01.11.2018/2' |
	И Пауза 1
	И я нажимаю на кнопку с именем "КомандаПриступить"
	И я нажимаю кнопку выбора у поля "Короб"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Короб'        |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно "Выпуск в коробах*"
	И я нажимаю кнопку выбора у поля "ВыбраннаяУпаковка"
	Тогда открылось окно 'Выберите упаковку'
	И в таблице "Список" я перехожу к строке:
		| 'Упаковка'    |
		| 'упак (7 кг)' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно "Выпуск в коробах*"
	И я нажимаю на кнопку 'КомандаУстановитьСсылкуНовогоПаллета'
	И в поле с именем 'ВесВесов' я ввожу текст '3,000'
	И я перехожу к следующему реквизиту
	Тогда открылось окно 'Печать документа'
	И в табличном документе 'ТекущаяПечатнаяФорма' я перехожу к ячейке "R1C1:R1C9"
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно "Выпуск в коробах*"
	И я нажимаю на кнопку 'КомандаЗаписатьПаллетыИКороба'
	Тогда открылось окно 'Введите вес брутто для *"'
	И я нажимаю на кнопку '9'
	И я нажимаю на кнопку 'КомандаГотово'	
	Тогда открылось окно 'Печать комплекта'
	И Я закрываю окно 'Печать комплекта'
	Тогда открылось окно "Выпуск в коробах*"
	И я нажимаю на кнопку 'КомандаПечатьЭтикеткиПаллета'
	Тогда открылось окно 'Печать комплекта'
	И в таблице "НастройкиПечатныхФорм" я перехожу к строке:
		| 'Копий' | 'Печатать' | 'Печатная форма'                  |
		| '1'     | 'Да'       | 'Спецификация упаковочного листа' |
	И Я закрываю окно 'Печать комплекта'
	Тогда открылось окно "Выпуск в коробах*"
	И я нажимаю кнопку выбора у поля "Короб"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Короб'        |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно "Выпуск в коробах*"
	И в таблице "Короба" я перехожу к строке:
		| шт |
		| '2'  |
	И в таблице "Короба" в поле 'шт' я ввожу текст '1,000'
	И я нажимаю на кнопку 'КомандаЗаписатьПаллетыИКороба'
	Тогда открылось окно 'Введите вес брутто для *'
	И я нажимаю на кнопку '9'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Печать документа'
	И Я закрываю окно 'Печать документа'	
	Тогда открылось окно 'Печать комплекта'
	И Я закрываю окно 'Печать комплекта'
	Тогда открылось окно "Выпуск в коробах*"
	И в таблице "Короба" я перехожу к строке:
		| шт |кг|
		| '1'  |'3,000'|
	И я нажимаю кнопку выбора у поля "Короб"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Короб'        |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно "Выпуск в коробах*"
	И я закрываю окно "Выпуск в коробах*"

Сценарий: Запуск обработки Комплектация через весы со штрихкодом
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Маркировка'      |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку "Выпуск в коробах с контейнера"
	Тогда открылось окно "Выпуск в коробах*"
	И я запоминаю значение выражения '"030000001" + Прав(СтрЗаменить(Год(ТекущаяДата()),Символы.НПП, ""),2)' в переменную "Штрихкод1"
	И в поле "Штрихкод" я ввожу значение переменной "Штрихкод1"
	И я перехожу к следующему реквизиту
	И Пауза 1
	И я нажимаю на кнопку с именем "КомандаПриступить"
	И     элемент формы с именем "ДекорацияВыбраннаяНоменклатура" стал равен 'milk_prod_Российский 50% / Созревший / 01.11.2018/2'
	И     элемент формы с именем "НоменклатураКороба" стал равен 'milk_prod_Короб'
	И     элемент формы с именем "ВыбраннаяУпаковка" стал равен 'упак (7 кг)'
	И я нажимаю на кнопку 'КомандаУстановитьСсылкуНовогоПаллета'
	И в поле с именем 'ВесВесов' я ввожу текст '5,000'
	И я перехожу к следующему реквизиту
	Тогда открылось окно 'Печать документа'
	И в табличном документе 'ТекущаяПечатнаяФорма' я перехожу к ячейке "R1C1:R1C9"
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно "Выпуск в коробах*"
	И я нажимаю на гиперссылку "milk_prod_Российский 50% / Созревший / 01.11.2018/2"
	И я запоминаю значение выражения '"030000000" + Прав(СтрЗаменить(Год(ТекущаяДата()),Символы.НПП, ""),2)' в переменную "Штрихкод0"
	И в поле "Штрихкод" я ввожу значение переменной "Штрихкод0"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'КомандаОК'
	Тогда открылось окно "Выпуск в коробах*"
	И я закрываю окно "Выпуск в коробах*"

Сценарий: 02_milk_production.02.016 Закрытие клиента
	И я закрываю сеанс TESTCLIENT